/* vim: set foldmethod=expr: */

/* ACCENT:#262d42,#464C5e NEUTRAL:#7c7d84,#f7f3f0 CONTRAST:#e8881a */

/**
 *
 * colores tema base (light)
 *
 */

:root {
    --app-theme-fg:             #262d42;
    --app-theme-bg:             #ffffff;

    --app-theme-blue-dark:      #3A4159;
    --app-theme-blue-middle:    #616D94;
    --app-theme-blue-light:     #9099B6;

    --app-theme-light:          #ffffff;

    --app-theme-neutral-dark:   #7c7d84;
    --app-theme-neutral-middle: #f7f3f0;
    --app-theme-neutral-light:  #ffffff;

    --app-logo-src:             url("../images/logo-r4mE_L3.svg");
}

/**
 *
 * colores tema dark
 *
 */

[data-bs-theme="dark"] {
    --app-theme-fg:             #f7f3f0;
    --app-theme-bg:             #262d42;

    --app-theme-blue-dark:      #9099B6;
    --app-theme-blue-middle:    #616D94;
    --app-theme-blue-light:     #3A4159;

    --app-theme-light:          #262d42;

    --app-theme-neutral-dark:   #f7f3f0;
    --app-theme-neutral-middle: #464C5e;
    --app-theme-neutral-light:  #262d42;

    --app-logo-src:             url("../images/logo-w-CVHisxI.svg");
}

/**
 *
 * colores acento
 *
 */

:root {
    --app-theme-accent-dark:   #262d42;
    --app-theme-accent-middle: #464C5e;
    --app-theme-accent-light:  #f7f3f0;

    --app-theme-contrast-dark:   #7c7d84;
    --app-theme-contrast-middle: #e8881a;
    --app-theme-contrast-light:  #ffffff;
}

/**
 *
 * body flex
 *
 */

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    > article {
        flex-grow: 1;
    }
    > footer {
    }
}

/**
 *
 * fonts
 *
 */

body {
    font-family: "Instrument Sans", sans-serif;
    font-weight: 500;
}

/**
 *
 * customs
 *
 */

a.boton.custom {
    background-color: var(--app-theme-contrast-middle);
    color: var(--app-theme-contrast-light);
    padding: .5rem 2.5rem;
    border-radius: 1.5rem;
    &::after {
        content: "\F138";
        font-family: bootstrap-icons;
        vertical-align: bottom;
        transition: transform .2s;
        display: inline-block;
    }
    &:hover::after {
        transform: translateX(1rem);
    }
}

/**
 *
 * nav: línea superior
 *
 */

body > header {
    padding: 1rem 0;
    border-bottom: 1px solid var(--mh-color-hijo-bg);
    div.d-flex {
        a {
            color: var(--bs-body-color);
        }
        .redes {
            div {
                display: inline;
            }
            a {
                color: var(--app-theme-accent-light);
                background-color: var(--app-theme-accent-dark);
            }
        }
    }
}

/**
 *
 * nav
 *
 */

nav.navbar {
    background-color: var(--bs-body-bg);
    color: var(--bs-body-color);
    a.nav-link {
        color: var(--bs-body-color);
        font-weight: normal;
    }
    img {
        width: 150px;
        content: var(--app-logo-src);
    }
    ul.navbar-nav {
        margin-left: auto;
    }
}

/**
 *
 * nodo/contexto/.../header
 *
 */

article.nodo.contexto-cols1 > header,
article.nodo.contexto-cols2 > header,
article.nodo.contexto-cols3 > header,
article.nodo.contexto-noticia > header {
    --mh-color-header-fg: var(--mh-color-hijo-fg);
    background-image: none;
    border-top: 1px solid var(--mh-color-hijo-bg);
    border-bottom: 1px solid var(--mh-color-hijo-bg);
    background-color: var(--app-theme-bg);
    color: var(--app-theme-fg);
    padding-bottom: 0;
    h2 {
        margin: 0 auto 70px auto;
    }
}

/**
 *
 * Portada: destacado
 *
 */

body.body-7297178893f96, body.body-200e6664d81a6 {
    > .destacado {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        > a {
            font-weight: 700;
            &:first-child {
                font-size: 2rem;
                color: var(--app-theme-contrast-light);
                transition: color .2s ease-in-out;
                margin-bottom: 1rem;
                &:hover {
                    color: var(--app-theme-contrast-middle);
                }
            }
        }
        background-position: center;
        background-size: cover;
        height: 340px;
    }
}

/**
 *
 * Portada: noticias
 *
 */

body.body-7297178893f96, body.body-200e6664d81a6 {
    > .noticias {
        background-color: var(--app-theme-accent-dark);
        color: var(--app-theme-accent-light);
        padding: 1rem 0;
        .row > * {
            &:not(:first-child) {
                border-left: 1px solid var(--app-theme-accent-middle);
            }
        }
        a {
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            height: 100%;
            color: var(--app-theme-accent-light);
            div:last-child {
                margin-top: 1rem;
                transition: color .2s ease-in-out;
                &::after {
                    font-family: bootstrap-icons;
                    content: "\F138";
                    vertical-align: text-top;
                    margin-left: .5rem;
                    color: var(--app-theme-contrast-middle);
                    font-size: .8rem;
                    font-weight: 800;
                    transition: transform .2s;
                    display: inline-block;
                }
            }
            &:hover div:last-child {
                color: var(--app-theme-contrast-middle);
                &::after {
                    transform: translateX(.5rem);
                }
            }
        }
    }
}

/**
 *
 * Portada: estudios publicados
 *
 */

body.body-7297178893f96, body.body-200e6664d81a6 {
    > * {
        h2 {
            text-align: center;
            font-weight: 700;
            & + div {
                padding-top: 1rem;
                max-width: 54rem;
                text-align: center;
                margin: 0 auto;
            }
        }
    }
    .nav-pills.custom {
        border-radius: var(--bs-nav-pills-border-radius);
        --bs-nav-pills-border-radius: 1.5rem;
        --bs-nav-link-color: var(--app-theme-contrast-dark);
        --bs-nav-link-hover-color: var(--app-theme-contrast-middle);
        --bs-nav-pills-link-active-bg: var(--app-theme-contrast-middle);
        --bs-nav-pills-link-active-color: var(--app-theme-contrast-light);
        background-color: var(--app-theme-neutral-middle);
        border: 1px solid var(--app-theme-neutral-middle);
        > .nav-item {
            flex: 1 1 0;
            .nav-link {
                padding: .5rem 2.5rem;
                width: 100%;
                height: 100%;
            }
        }
    }
}

/**
 *
 * portada: estudios
 *
 */

body.body-7297178893f96, body.body-200e6664d81a6 {
    > .estudios {
        padding-top: 4rem;
        h2 {
            color: var(--app-theme-contrast-middle);
        }
        .nav {
            margin: 2rem 0;
        }
    }
}

/**
 *
 * portada: dashboards
 *
 */

body.body-7297178893f96, body.body-200e6664d81a6 {
    > .dash {
        text-align: center;
        padding: 3rem 0;
        .row {
            --bs-gutter-y: 1rem;
            margin-top: 1rem;
            > * > * {
                padding: 1rem 2rem;
                border-radius: .5rem;
                height: 100%;
                > *:first-child {
                    font-size: 300%;
                    font-weight: 100;
                }
            }
            + div {
                margin-top: 3rem;
            }
        }
        &:nth-child(odd) {
            border-radius: 1rem 1rem 0 0;
            background-color: var(--app-theme-accent-dark);
            color: var(--app-theme-contrast-light);
            .row > * > * {
                background-color: var(--app-theme-accent-middle);
            }
        }
        &:nth-child(even) {
            h2 {
                color: var(--app-theme-contrast-middle);
            }
            .row > * > * {
                background-color: var(--app-theme-neutral-middle);
                > *:first-child {
                    color: var(--app-theme-contrast-middle);
                }
            }
        }
    }

}

/**
 *
 * portada: destacados
 *
 */

body.body-7297178893f96, body.body-200e6664d81a6 {
    > .destacados {
        background-color: var(--app-theme-neutral-middle);
        padding-top: 3rem;
        > .container > * {
            border-bottom: 1px solid var(--app-theme-neutral-middle);
            margin-top: 2rem;
            h3 {
                font-size: 1.2rem;
                font-weight: 600;
            }
            .resumen {
                margin: 2rem 0 2.5rem 0;
            }
            .card-body {
                background-color: var(--app-theme-light);
            }
        }
    }
}

/**
 *
 * Pie
 *
 */

body > footer {
    font-size: .95rem;
    background-color: var(--app-theme-accent-dark);
    color: var(--app-theme-accent-light);
    a {
        color: var(--app-theme-accent-light);
        text-decoration: underline;
    }
    img {
        height: 5rem;
        margin-bottom: 1rem;
    };
    .redes a {
        font-size: 1rem;
        margin: 1rem 1rem 1rem 0;
        color: var(--app-theme-accent-dark);
        background-color: var(--app-theme-accent-light);
    }
    padding: 3rem 0;
}

/**
 *
 * Redes sociales
 *
 */

.redes {
    a {
        color: var(--app-theme-accent-dark);
        background-color: var(--app-theme-accent-light);
        border-radius: 50%;
        padding: 8px;
        width: 28px;
        height: 28px;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        i::before {
            vertical-align: -3px;
        }
    }
}

/**
 *
 * Personalización despliegues
 *
 */

aside.toc.i-b38c04f4d81a6 {
    display: none;
}

article.nodo {
    & form {
        button[type="submit"] {
            border: 1px solid var(--mh-color-form-input-border);
        }
    }
}

div.overrideable-placeholder {
    background-image: url("../images/logo-r4mE_L3.svg");
    background-size: contain !important;
}
